Package com.opensymphony.module.sitemesh.filter

# Class HttpContentType

java.lang.Object
com.opensymphony.module.sitemesh.filter.HttpContentType

public class HttpContentType extends Object
Extracts the type and encoding from an HTTP Content-Type header.

Author:
  Scott Farquhar

## Field Summary

Fields
Modifier and Type
Field
Description
`private final String`
`encoding`
`private final String`
`type`

## Constructor Summary

Constructors
Constructor
Description
`HttpContentType(String fullValue)`

## Method Summary

Modifier and Type
Method
Description
`private String`
`extractContentTypeValue(String type, int startIndex)`
`String`
`getEncoding()`
`String`
`getType()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### type

private final String type

### encoding

private final String encoding

## Constructor Details

### HttpContentType

public HttpContentType(String fullValue)

## Method Details

### extractContentTypeValue

private String extractContentTypeValue(String type, int startIndex)

### getType

public String getType()

### getEncoding

public String getEncoding()